Cyberduck Mountain Duck CLI

#10746 closed defect (fixed)

S3 (Credentials from AWS Security Token Service) profile broken

Reported by: gui.rams Owned by: dkocher
Priority: normal Milestone: 7.0.2
Component: s3 Version: 7.0
Severity: major Keywords:
Cc: Architecture: Intel
Platform: Windows 7

Description

Connexion to classical S3 works OK but using STS stopped working.

I am using MFA also.

When opening a bookmark that used to work, Multi-Factor Authentication opens as usual, but when correct code is entered, the pop up just closes and CyberDuck window just continues to show bookmarks as if nothing happened.

Change History (8)

comment:1 Changed on Jun 26, 2019 at 8:15:14 AM by dkocher

  • Milestone set to 7.1
  • Owner set to dkocher
  • Status changed from new to assigned

comment:2 Changed on Jul 3, 2019 at 9:31:58 AM by dkocher

  • Milestone changed from 7.1 to 7.0.2

comment:3 Changed on Jul 3, 2019 at 12:55:21 PM by dkocher

Reproducible on Windows.

comment:4 Changed on Jul 3, 2019 at 8:00:35 PM by dkocher

  • Summary changed from S3 (Credentials from AWS Security Token Service) profile broken since update to v7 to S3 (Credentials from AWS Security Token Service) profile broken

comment:5 Changed on Jul 3, 2019 at 8:07:05 PM by dkocher

  • Resolution set to fixed
  • Status changed from assigned to closed

Is caused by same bug as #10755.

comment:6 Changed on Jul 5, 2019 at 10:08:12 AM by dkocher

Please update to the latest beta build available.

comment:7 Changed on Jul 8, 2019 at 1:29:05 PM by gui.rams

Thank you.

Tested with latest beta I confirm that it is fixed in beta 7.0.2 (30966).

comment:8 Changed on Aug 5, 2019 at 2:45:04 PM by dkocher

#10762 closed as duplicate.

Note: See TracTickets for help on using tickets.
swiss made software